Skip to main content.
home | support | download

Back to List Archive

Re: Local install of swish-e-2.4.1 on Linux

From: Bill Moseley <moseley(at)not-real.hank.org>
Date: Mon Nov 08 2004 - 16:15:19 GMT
On Mon, Nov 08, 2004 at 07:36:47AM -0800, Roman Chyla wrote:
> hi,
> I'm sorry for reporting so late
> 
> I tried to move the first statically built binary from Debian to 
> Slackware and found that swish-e reports
> "swish not built with zlib support" and "Unknown document type HTML2" -> 
> zlib and libxml2 missing

I think that means that you are trying to search an index that has
compressed properties (compressed by zlib).  Swish can't read that
index if it doesn't have zlib support.

Unknown document type HTML2 means that your config specifies HTML2,
but swish-e was not built with libxml2 (which supplies the HTML2
parser).

Have you tried asking your host provider to run this?

  apt-get install zlib1g-dev libxml2-dev



-- 
Bill Moseley
moseley@hank.org

Unsubscribe from or help with the swish-e list: 
   http://swish-e.org/Discussion/

Help with Swish-e:
   http://swish-e.org/current/docs
   swish-e@sunsite.berkeley.edu
Received on Mon Nov 8 08:15:20 2004